%global   debug_package %{nil}

Version:  1.29.5
%global   goipath github.com/hetznercloud/cli

%global   gomodulesmode GO111MODULE=on

%gometa

%global   gobuilddir %{_builddir}/$(basename %{goipath})-%{version}/_build

#{goname} is golang-github-hetznercloud-cli
Name:     hcloud
Release:  1%{?dist}
Summary:  Command-line interface for Hetzner Cloud (hcloud)

License:  MIT
URL:      %{gourl}
Source0:  %{gosource}
Obsoletes: golang-github-hetznercloud-cli < 1.28.1-5

%description
hcloud is a command-line interface for interacting with Hetzner Cloud


%prep
%autosetup %{forgesetupargs}
install -m 0755 -vd %{gobuilddir}/bin %{gobuilddir}/src/$(dirname %{goipath})
ln -s "$(pwd)" %{gobuilddir}/src/%{goipath}


%build
export GO111MODULE=on
export GOPATH=$(pwd)/_build:%{gopath}
LDFLAGS="-w -X %{goipath}/internal/version.Version=%{version}"
for cmd in ./cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) $cmd
done

# Build shell completions.
for SHELL in bash fish zsh; do
    %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done


%install
rm -rf $RPM_BUILD_ROOT
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

	
# Install shell completions.
install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%files
%defattr(-,root,root,-)
%license LICENSE
%doc examples CHANGES.md README.md
%{_bindir}/hcloud
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/zsh/site-functions/_%{name}



%changelog
* Fri Mar 03 2023 sheePackager <packager@shee.org> - 1.29.5-1
- Update to 1.29.5

* Fri Mar 03 2023 sheePackager <packager@shee.org> - 1.28.1-5
- Add shell completions

* Wed Nov 03 2021 sheePackager <packager@shee.org> - 1.28.1-4
- Add gopath loop to internal packages

* Wed Nov 03 2021 sheePackager <packager@shee.org> - 1.28.1-1
- Update to 1.28.1

* Tue Nov 02 2021 sheePackager <packager@shee.org> - 1.25.1-2
- Build via go rpm macros

* Sat Jul 31 2021 sheePackager <packager@shee.org> - 1.25.1-1
- Initial package
